List a customer's claimed rewards

This endpoint provides the detailed list a customer's claimed rewards.

Path Params
string
required

Unique customer ID. This can be

  • The Antavo customer ID
  • An external ID (requires configuration): {external_field:external_id_value}
Query Params
integer
Defaults to 100

Limits the number of claimed rewards to be returned in one response. Additional claimed rewards can be accessed through pagination using the offset.

integer
Defaults to 0

Specifies the starting number of claimed rewards to return. Used for pagination in combination with the limit query.

string

Used in conjunction with the order query to sort the results in the selected order (ascending order by defualt).

string

Used in conjunction with the sort query to list the results in ascending or descending order. The value can be asc for an ascending order or desc for a descending order.

string
enum

Comma separated list of non-standard fields to be included in the response. Accepted values:

  • category: Displays the reward's category, if assigned.

  • custom_data: Access fields set in the reward configuration under Wehbook data.

  • stock: Access this field set in the reward configuration.

  • gallery: Provides, where available, image links specified in the reward configuration.

  • instructions: Access redeem instructions set in the reward configuration.

  • terms: Access terms and conditions set in the reward configuration.

  • passes: Access details for passes assigned to the customer through a reward claim.

  • Any custom attributes configued in the Entities module with cf_ prefix.

Allowed:
Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json